Subject: Re: SCC and SMC Implementation

From: Dan Malek <[email-masked]>
Date: Mon, 08 Jan 2001 12:12:16 -0500

"Bernal, Fernando J" wrote:
>
> I would like to know if someone has implemented the two SMC and the two SCC
> serial ports on an embedded 823 PowerPC.

It's part of the standard kernel release.  I think I finally got
the I/O pin configuration right in the upcoming 2.4 release.  You
may need to manually edit the configuration table in
arch/ppc/8xx_io/uart.c to get the configuration you desire.  It seems
everyone has a different configuration desire that is difficult to
implement in the standard configuration scripts (maybe the upcoming
CML2 will help this).

FYI, the 823 does not have two SCCs, only the 823e does.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/